	subroutine dix_rms_init_nam(fab,name,resnam)
	implicit none
c
c The normal nam block. Used for the vax arch
c
	include '($fabdef)'
	record /fabdef/ fab
	character*(*) name
	character*(*) resnam
c
	include '($namdef)'
c
	integer*4 nb
c
	record /namdef/ nam
	save nam
c
	nam.nam$b_bid = nam$c_bid
	nam.nam$b_bln = nam$c_bln
c
	nb = min(255,len(resnam))
	call lib$movc3(1,nb,nam.nam$b_ess)
c	nam.nam$b_ess = len(resnam)
	nam.nam$l_esa = %loc(resnam)
c
c Fill the fab fields fns/fna for nam block use
c
	nb = min(255,len(name))
	call lib$movc3(1,nb,fab.fab$b_fns)
c	fab.fab$b_fns = len(fnam)
	fab.fab$l_fna = %loc(name)
c
	fab.fab$l_nam = %loc(nam)
        return
	end
	subroutine dix_rms_get_nam(nam,des,fid)
	implicit none
c
c Copy the nam device and fidc
c since vax user na and alpha/ia64 used naml
c  we need a diferent routyine for both platforms
c
	include '($namdef)'
	record /namdef/ nam
	integer*4 des(2)
	integer*2 fid(3)
c
	integer*4 k
c
        des(1) = nam.nam$b_dev
        des(2) = nam.nam$l_dev
c
        do k=1,3
          fid(k) = nam.nam$w_fid(k)
        end do
c
	return
	end
